Bug 886289 - EPP60.SAML2 [DOCS] - OpenAM
Summary: EPP60.SAML2 [DOCS] - OpenAM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Documentation
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: 6.0.0
Assignee: Petr Penicka
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 23:54 UTC by Russell Dickenson
Modified: 2014-06-17 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-16 08:54:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Russell Dickenson 2012-12-11 23:54:12 UTC
Documentation of OpenAM in the GateIn project's Confluence instance is to be productized and added to the JPP 6.0.0 Reference Guide.

The source content is located here:
https://docs.jboss.org/author/display/GTNPORTAL35/OpenAM

Additional background information provided by SME, Marek:

"I finished work on SSO community documentation. Latest stuff is in confluence https://docs.jboss.org/author/display/GTNPORTAL35/Single-Sign-On+%28SSO%29 and all it's subpages. There are quite big changes in SSO integration between EPP5 and JPP6, so all existing SSO documentations (CAS, JOSSO, OpenAM, SPNEGO, Clustered SSO valve) include major changes with big number of new and removed sections. Documentation for SAML2 is completely new.

I think that whole documentation is similar for project and product, so you can take it as it is. But there are some exceptions like:
1. https://docs.jboss.org/author/display/GTNPORTAL35/Central+Authentication+Service+%28CAS%29 - Last section "Setup with portal on Tomcat" shouldn't be in product documentation because JPP always run on EAP (JBoss7) and never on Tomcat.
2. https://docs.jboss.org/author/display/GTNPORTAL35/JOSSO - Last section "Setup with portal on Tomcat" is irrelevant for JPP (Same reason like in point 1 for CAS)
3. https://docs.jboss.org/author/display/GTNPORTAL35/OpenAM - Section "Setup with portal on Tomcat" is irrelevant for JPP (Same reason like in previous points 1 and 2 for CAS and JOSSO)
4. https://docs.jboss.org/author/display/GTNPORTAL35/Single-Sign-On+%28SSO%29 in section "Prerequisities". The directory GATEIN_SSO_HOME is part of JPP product and it's in directory JPP_HOME/gatein-sso . So it doesn't need to be downloaded and extracted from ZIP like with GateIn project.
5. References to JBoss AS7 probably needs to be changed to EAP or maybe they can be sometimes completely removed because JPP always run on EAP (with GateIn project it's more complicated because it can run on JBoss7 or Tomcat7). 
For example in https://docs.jboss.org/author/display/GTNPORTAL35/Central+Authentication+Service+%28CAS%29 the sentence "GateIn Portal will be deployed on JBoss AS 7, which will listen on localhost:8080 ." can be changed for product documentation similarly like "JPP will listen on localhost:8080 ."

Important note: In docs we have SSO servers CAS, JOSSO and OpenAM running on Tomcat. Note that this is still valid for product documentation. Only the paragraphs, which are talking about GateIn running on Tomcat (like mentioned in points 1,2,3 ) are irrelevant for product documentation and can be removed from product docs.

Let me know if something is unclear or you need more info. Good luck with product documentation!

Marek"

Comment 1 Russell Dickenson 2012-12-11 23:56:13 UTC
*** NOTE ***

This BZ ticket was created in order to split another BZ ticket - 856430 - into smaller pieces of work.

Comment 2 Petr Penicka 2013-01-07 13:07:15 UTC
Documented, reviewed by Marek and finalized according to the review. 

Available for docs QA at [1].

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Portal_Platform/6/html-single/Reference_Guide/index.html#sect-Reference_Guide-SSO_Single_Sign_On_-OpenAM

Comment 3 Jared MORGAN 2013-01-23 23:58:02 UTC
Any comments on the QA side for us to work on?

Comment 4 Tomas Kyjovsky 2013-02-05 17:36:06 UTC
Procedure 27.6. Adding the Authentication Plug-in
point 2. 
"the sso-opensso-plugin-<VERSION>.jar and commons-httpclient-<VERSION>.jar archives to the TOMCAT_HOME/webapps/opensso/WEB-INF/lib directory." -- The "sso-common-plugin-<VERSION>.jar" is also copied.

Procedure 27.7. Configuring a Realm in OpenAM User Interface
"The Dynamic value ensures that all users are automatically added the datastore after their first successful authentication." --- "added to"

Comment 5 Petr Penicka 2013-02-07 16:58:41 UTC
Fixed the issues pointed out in comment 4.

Docs stage URL: http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Portal_Platform/6/html-single/Reference_Guide/index.html#sect-Reference_Guide-SSO_Single_Sign_On_-OpenAM

Build: JBoss_Portal_Platform-Reference_Guide-6-en-US-6.0.0-47


Note You need to log in before you can comment on or make changes to this bug.